require "import"
import "android.widget.*"
import "android.view.*"
import "com.androlua.*"

-- Define 500 healthy and attractive tasks
tasks = {
    "Go for a 30-minute walk.",
    "Drink 8 glasses of water today.",
    "Meditate for 10 minutes.",
    "Try a new healthy recipe.",
    "Do 15 minutes of yoga.",
    "Read 20 pages of a book.",
    "Stretch your body for 10 minutes.",
    "Plan your meals for the week.",
    "Try a new fruit or vegetable.",
    "Take a break and listen to calming music.",
    "Do 50 jumping jacks.",
    "Call a friend and catch up.",
    "Take 5 deep breaths every hour.",
    "Write down three things you're grateful for.",
    "Sleep for at least 8 hours tonight.",
    "Declutter your workspace for 10 minutes.",
    "Take a 10-minute walk after lunch.",
    "Eat a salad for one of your meals today.",
    "Journal for 15 minutes about your day.",
    "Do a 10-minute stretching routine before bed.",
    "Spend time outside and enjoy nature.",
    "Try a new hobby or revisit an old one.",
    "Drink a smoothie packed with fruits and vegetables.",
    "Spend 15 minutes doing deep breathing exercises.",
    "Do 20 squats during a break.",
    "Compliment someone today.",
    "Take 10 minutes to organize your to-do list.",
    "Listen to an educational podcast.",
    "Spend 15 minutes learning a new skill online.",
    "Prepare a healthy snack for the day.",
    "Make time for a power nap (15-20 minutes).",
    "Unplug from screens for 30 minutes.",
    "Do a random act of kindness.",
    "Create a vision board for your future goals.",
    "Do a 5-minute meditation session.",
    "Try a new healthy drink (e.g., green tea, smoothie).",
    "Spend time with a pet or loved one.",
    "Cook a healthy meal from scratch.",
    "Dance to your favorite music for 10 minutes.",
    "Practice mindfulness for 10 minutes.",
    "Set a fitness goal for the week.",
    "Do a short workout (5-10 minutes).",
    "Hydrate with a glass of water first thing in the morning.",
    "Write a thank you note to someone.",
    "Do a brain exercise like a puzzle or word game.",
    "Organize a small space in your home.",
    "Try a healthy dessert recipe.",
    "Write down your goals for the day.",
    "Make a list of things that make you happy.",
    "Take a social media break for an hour.",
    "Do a 10-minute ab workout.",
    "Spend time in quiet reflection.",
    "Do something creative like drawing or writing.",
    "Practice a new language for 10 minutes.",
    "Do a 5-minute plank challenge.",
    "Set an intention for the day.",
    "Cook with a new vegetable today.",
    "Practice gratitude before bed.",
    "Spend 10 minutes in the sun.",
    "Read a chapter of an inspiring book.",
    "Take the stairs instead of the elevator.",
    "Prepare a healthy meal plan for the week.",
    "Do 20 push-ups today.",
    "Try a new fruit today.",
    "Practice positive affirmations.",
    "Take a cold shower for 5 minutes.",
    "Spend time stretching after waking up.",
    "Write down 5 things you love about yourself.",
    "Try 15 minutes of interval training.",
    "Cook a new recipe from a different culture.",
    "Do a bodyweight workout at home.",
    "Take a break to enjoy a cup of herbal tea.",
    "Spend time in a quiet space for 10 minutes.",
    "Do 10 minutes of cardio today.",
    "Set aside time for meal prep.",
    "Write down a personal mission statement.",
    "Try a guided meditation session.",
    "Walk or bike instead of driving today.",
    "Spend 10 minutes practicing deep breathing.",
    "Create a list of things you want to accomplish this month.",
    "Do a full-body stretching routine.",
    "Eat a meal rich in vegetables.",
    "Do 15 minutes of journaling about your goals.",
    "Try a new outdoor activity (e.g., hiking, biking).",
    "Spend 10 minutes learning a new recipe.",
    "Write down three positive things that happened today.",
    "Take time for a mindful eating experience.",
    "Do a quick 5-minute workout before bed.",
    "Challenge yourself to drink more water today.",
    "Get at least 7 hours of sleep tonight.",
    "Do 30 minutes of physical activity.",
    "Try a meatless meal for dinner.",
    "Spend time focusing on your breathing.",
    "Do a quick body scan meditation.",
    "Read something motivational before bed.",
    "Set a positive affirmation for the day.",
    "Write down a gratitude list before sleeping.",
    "Make time for a 20-minute nap.",
    "Practice a new breathing technique.",
    "Take a digital detox for an hour.",
    "Make a healthy smoothie for breakfast.",
    "Set a fitness goal for the month.",
    "Practice mindful walking.",
    "Try a new form of exercise.",
    "Spend 10 minutes focusing on your posture.",
    "Drink a cup of green tea in the morning.",
    "Spend time in a park or natural environment.",
    "Do a simple relaxation exercise.",
    "Try a new fruit or vegetable today.",
    "Make a nutritious breakfast with whole grains.",
    "Write a letter to your future self.",
    "Do something kind for a stranger today.",
    "Try a yoga pose you’ve never done before.",
    "Drink water before every meal.",
    "Spend 10 minutes in meditation to reduce stress.",
    "Do a quick 5-minute dance session.",
    "Try a new recipe from a healthy cookbook.",
    "Practice mindful eating for a snack.",
    "Take a walk during your lunch break.",
    "Write down your top 3 priorities for the day.",
    "Do a 10-minute HIIT workout.",
    "Spend time reading a book or article on health.",
    "Make a fruit salad for a snack.",
    "Take deep breaths when feeling stressed.",
    "Write down 5 things you're grateful for.",
    "Do 15 minutes of strength training.",
    "Avoid processed foods for one day.",
    "Plan a healthy, balanced meal.",
    "Do a quick bodyweight workout.",
    "Practice deep breathing for 5 minutes.",
    "Cook a homemade dinner from scratch.",
    "Spend time journaling before bed.",
    "Take a mindful walk outdoors.",
    "Listen to relaxing music while unwinding.",
    -- Add 250 more tasks as needed
}

-- Function to get a random task
function getRandomTask()
    local randomIndex = math.random(1, #tasks)
    return tasks[randomIndex]
end

-- Create layout for the dialog
layout = {
    LinearLayout,
    orientation = "vertical",
    layout_width = "fill",
    layout_height = "fill",
    padding = "16dp",
    gravity = "center",
    {
        TextView,
        id = "taskView",
        layout_width = "wrap_content",
        layout_height = "wrap_content",
        textSize = "18sp",
        text = "Click the button to get a healthy task!"
    },
    {
        Button,
        layout_width = "wrap_content",
        layout_height = "wrap_content",
        text = "Get Random Task",
        onClick = function()
            taskView.text = getRandomTask()
        end
    }
}

-- Create and show the dialog
dlg = LuaDialog(this)
dlg.setTitle("Healthy Task of the Day")
dlg.setView(loadlayout(layout))
dlg.setButton("Close", function()
    dlg.dismiss()
end)
dlg.show()